Commit c718ac84 authored by Tristan Cavelier's avatar Tristan Cavelier

xxx rewrite cef fetch.sh

parent 822a46d0
...@@ -13,7 +13,7 @@ url = https://github.com/ONLYOFFICE/core/archive/win-v4.3.0.56.tar.gz ...@@ -13,7 +13,7 @@ url = https://github.com/ONLYOFFICE/core/archive/win-v4.3.0.56.tar.gz
md5sum = 76c0e29ed783067799b72294edcb00db md5sum = 76c0e29ed783067799b72294edcb00db
patch-options = -p0 patch-options = -p0
patches = patches =
${:_profile_base_location_}/rewrite-scripts.patch#d10bd4a75b8aa51b714bd9de092db276 ${:_profile_base_location_}/rewrite-scripts.patch#0dfd451f95d4bd0677538d7bed41f3ca
${:_profile_base_location_}/cryptopp.patch#a2f892e23e13952539d1acfd013be7de ${:_profile_base_location_}/cryptopp.patch#a2f892e23e13952539d1acfd013be7de
# ${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7 # ${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7
# error: 'to_wstring' is not a member of 'std' -> http://www.cplusplus.com/forum/general/109469/ # error: 'to_wstring' is not a member of 'std' -> http://www.cplusplus.com/forum/general/109469/
......
...@@ -45,6 +45,70 @@ ...@@ -45,6 +45,70 @@
-fi -fi
+ ( cd "$SCRIPTPATH" && tar xf boost_1_58_0.tar.gz ) + ( cd "$SCRIPTPATH" && tar xf boost_1_58_0.tar.gz )
fi fi
--- Common/3dParty/cef/fetch.sh.orig 2017-02-06 12:11:47.539258686 +0000
+++ Common/3dParty/cef/fetch.sh 2017-02-09 08:15:24.016250430 +0000
@@ -1,4 +1,6 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
@@ -20,37 +22,27 @@
*) arch="_32" ;;
esac
-if [[ -d "$SCRIPTPATH/$platform$arch" ]]
-then
-echo
-else
-mkdir "$SCRIPTPATH/$platform$arch"
+if [ ! -d "$SCRIPTPATH/$platform$arch" ]; then
+ mkdir "$SCRIPTPATH/$platform$arch"
fi
cd "$SCRIPTPATH/$platform$arch"
-if [ -d "build" ]
-then
-echo ""
-else
-mkdir "build"
+if [ ! -d build ]; then
+ mkdir "build"
fi
-if [[ "$platform" == *"linux"* ]]
-then
-if [[ -f "cef_binary.7z" ]]
-then
-echo "cef_binary already downloaded"
-else
-wget http://d2ettrnqo7v976.cloudfront.net/cef/2454/$platform$arch/cef_binary.7z
-fi
-if [ -d cef_binary ]
-then
-echo "cef_binary already extracted"
-else
-
-7z x -y cef_binary.7z
-fi
-cp -r -t build/ ./cef_binary/Release/* ./cef_binary/Resources/*
-chmod a+xr build/locales
+if [[ "$platform" == *linux* ]]; then
+ if [ -f cef_binary.7z ]; then
+ echo "cef_binary already downloaded"
+ else
+ wget http://d2ettrnqo7v976.cloudfront.net/cef/2454/$platform$arch/cef_binary.7z
+ fi
+ if [ -d cef_binary ]; then
+ echo "cef_binary already extracted"
+ else
+ 7z x -y cef_binary.7z
+ fi
+ cp -r -t build/ ./cef_binary/Release/* ./cef_binary/Resources/*
+ chmod a+xr build/locales
fi
--- Common/3dParty/cryptopp/build.sh.orig 2017-01-30 15:04:58.221156379 +0100 --- Common/3dParty/cryptopp/build.sh.orig 2017-01-30 15:04:58.221156379 +0100
+++ Common/3dParty/cryptopp/build.sh 2017-01-30 15:04:48.103156175 +0100 +++ Common/3dParty/cryptopp/build.sh 2017-01-30 15:04:48.103156175 +0100
@@ -1,4 +1,6 @@ @@ -1,4 +1,6 @@
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment